/*
 * Copyright 2013 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_LIBRARY_H
#define OCARINA_CORE_LIBRARY_H

#include <core/queue.h>
#include <core/tags.h>
#include <string>

namespace library
{

	void init();

	Library *add(const std::string &);
	void remove(Library *);
	void update(Library *);
	void update_all();

	void set_enabled(Library *, bool);
	Queue *get_queue();

};

#endif /* OCARINA_CORE_LIBRARY_H */
